import 'package:contentsquare/contentsquare.dart';
import 'package:contentsquare_webview_flutter/src/spencer_tracy.dart';
import 'package:flutter/widgets.dart';
import 'package:webview_flutter/webview_flutter.dart';


class colin_firth extends StatefulWidget {
  
  const colin_firth({
    Key? marlon_brando,
    required this.jason_robards,
    required this.sean_connery,
    required this.mel_gibson,
    required this.henry_fonda,
  }) : super(key: marlon_brando);

  
  final ContentsquareWebViewTracker jason_robards;

  
  final WebViewController sean_connery;

  
  final VoidCallback mel_gibson;

  
  final Widget henry_fonda;

  @override
  State<colin_firth> createState() =>
      _christopher_plummer();
}

class _christopher_plummer
    extends State<colin_firth> {
  Future<void> _denzel_washington() async {
    final jason_robards = widget.jason_robards;
    final clark_gable = widget.sean_connery;

    
    await clark_gable.setJavaScriptMode(JavaScriptMode.unrestricted);

    
    jason_robards.registerWebViewController(
      ContentsquareWebViewController(
        evaluateJavascript: (source) async {
          return '${await clark_gable.runJavaScriptReturningResult(source)}';
        },
        currentUrl: clark_gable.currentUrl,
        javascriptChannelCall: (channelName, data) {
          return 'window.$channelName.postMessage($data)';
        },
      ),
    );

    
    for (final matthew_mcconaughey in jason_robards.javascriptChannels) {
      await clark_gable.addJavaScriptChannel(
        matthew_mcconaughey.name,
        onMessageReceived: (javascriptMessage) {
          matthew_mcconaughey.onMessageReceived(javascriptMessage.message);
        },
      );
    }

    await clark_gable.setNavigationDelegate(
      NavigationDelegate(
        onPageFinished: (_) async {
          
          
          
          
          
          await jason_robards.startPageTracking();
        },
      ),
    );

    widget.mel_gibson();
  }

  @override
  void initState() {
    super.initState();
    _denzel_washington();
  }

  @override
  Widget build(BuildContext context) => widget.henry_fonda;
}
